(function($){

	'use strict'

	$('.grid-item').on('click', function(){

		var index = $(this).index()

		$('.single-gallery-image').fadeIn()
		$('.owl-carousel').trigger("to.owl.carousel", [index, 0])
	})

	$('.close-gallery').on('click', function(){
		$('.single-gallery-image').fadeOut()
	})

	$('.hamburger').on('click', function(){
		$('main').toggleClass('side')
		$('.fade-body').fadeToggle()
	})

	$('.menu-close').on('click', function(){
		$('main').toggleClass('side')
		$('.fade-body').fadeToggle()
	})

	$('.scroll a, a.scroll').on('click', function(e){

		var href = $(this).attr('href'),
			position = $(href).position().top

		if( position > $('#section-2').position().top ){
			 position -= $('.address-bottom').outerHeight()
		}

		$('main').removeClass('side')
		$('.fade-body').fadeOut()


		$('body, html').animate( { scrollTop: position }, 500 )
	})

	$(window).on('load scroll', function(){

		var scrollPosition = $(window).scrollTop(),
			fridgePosition = $('.overview-top').position().top + $('.overview-top').outerHeight()

		if(scrollPosition >= fridgePosition){
			// down
			$('main').addClass('fridge')
			$('.overview-bottom').css({ 'padding-top': $('.address-bottom').outerHeight() })
		}else{
			// up
			$('main').removeClass('fridge')
			$('.overview-bottom').css({ 'padding-top': 0 })
		}
	})

	$(window).on('load', function(){

		$('.side-navigation-menu').mCustomScrollbar({
			theme: 'minimal'
		})
	})

}(jQuery))